<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- This file was created with testssl.sh. https://testssl.sh -->
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="application/xhtml+xml; charset=UTF-8" />
<title>testssl.sh</title>
</head>
<body>
<pre>

<span style="color:white;background-color:black;"> Start 2023-07-10 07:01:40                --&gt;&gt; 35.231.107.224:443 (design.gitlab.com) &lt;&lt;--</span>

 rDNS (35.231.107.224):  224.107.231.35.bc.googleusercontent.com.
 Service detected:       HTTP


<span style="text-decoration:underline;font-weight:bold;"> Testing protocols </span><u>via sockets except NPN+ALPN </u>

<span style="font-weight:bold;"> SSLv2      </span><span style="color:#008817;font-weight:bold;">not offered (OK)</span>
<span style="font-weight:bold;"> SSLv3      </span><span style="color:#008817;font-weight:bold;">not offered (OK)</span>
<span style="font-weight:bold;"> TLS 1      </span>not offered
<span style="font-weight:bold;"> TLS 1.1    </span>not offered
<span style="font-weight:bold;"> TLS 1.2    </span><span style="color:#008817;font-weight:bold;">offered (OK)</span>
<span style="font-weight:bold;"> TLS 1.3    </span><span style="color:#008817;font-weight:bold;">offered (OK)</span>: final
<span style="font-weight:bold;"> NPN/SPDY   </span>h2, http/1.1 (advertised)
<span style="font-weight:bold;"> ALPN/HTTP2 </span><span style="color:#008817;">h2</span>, http/1.1 (offered)

<span style="text-decoration:underline;font-weight:bold;"> Testing cipher categories </span>

<span style="font-weight:bold;"> NULL ciphers (no encryption)                      </span><span style="color:#008817;font-weight:bold;">not offered (OK)</span>
<span style="font-weight:bold;"> Anonymous NULL Ciphers (no authentication)        </span><span style="color:#008817;font-weight:bold;">not offered (OK)</span>
<span style="font-weight:bold;"> Export ciphers (w/o ADH+NULL)                     </span><span style="color:#008817;font-weight:bold;">not offered (OK)</span>
<span style="font-weight:bold;"> LOW: 64 Bit + DES, RC[2,4], MD5 (w/o export)      </span><span style="color:#008817;">not offered (OK)</span>
<span style="font-weight:bold;"> Triple DES Ciphers / IDEA                         </span>not offered
<span style="font-weight:bold;"> Obsoleted CBC ciphers (AES, ARIA etc.)            </span>not offered
<span style="font-weight:bold;"> Strong encryption (AEAD ciphers) with no FS       </span>not offered
<span style="font-weight:bold;"> Forward Secrecy strong encryption (AEAD ciphers)  </span><span style="color:#008817;font-weight:bold;">offered (OK)</span>


<span style="text-decoration:underline;font-weight:bold;"> Testing server&apos;s cipher preferences </span>

Hexcode  Cipher Suite Name (OpenSSL)       KeyExch.   Encryption  Bits     Cipher Suite Name (IANA/RFC)
-----------------------------------------------------------------------------------------------------------------------------
<u>SSLv2</u>
 -
<u>SSLv3</u>
 -
<u>TLSv1</u>
 -
<u>TLSv1.1</u>
 -
<u>TLSv1.2</u> (server order)
 xc02f   ECDHE-RSA-AES128-GCM-SHA256       ECDH<span style="color:#008817;"> 253</span>   AESGCM      128      TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256
 xc030   ECDHE-RSA-AES256-GCM-SHA384       ECDH<span style="color:#008817;"> 253</span>   AESGCM      256      TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384
 xcca8   ECDHE-RSA-CHACHA20-POLY1305       ECDH<span style="color:#008817;"> 253</span>   ChaCha20    256      TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305_SHA256
<u>TLSv1.3</u> (server order)
 x1302   TLS_AES_256_GCM_SHA384            ECDH<span style="color:#008817;"> 253</span>   AESGCM      256      TLS_AES_256_GCM_SHA384
 x1303   TLS_CHACHA20_POLY1305_SHA256      ECDH<span style="color:#008817;"> 253</span>   ChaCha20    256      TLS_CHACHA20_POLY1305_SHA256
 x1301   TLS_AES_128_GCM_SHA256            ECDH<span style="color:#008817;"> 253</span>   AESGCM      128      TLS_AES_128_GCM_SHA256

<span style="font-weight:bold;"> Has server cipher order?     </span><span style="color:#008817;font-weight:bold;">yes (OK)</span> -- TLS 1.3 and below


<span style="text-decoration:underline;font-weight:bold;"> Testing robust forward secrecy (FS)</span><u> -- omitting Null Authentication/Encryption, 3DES, RC4 </u>

<span style="color:#008817;"> FS is offered (OK) </span>          TLS_AES_256_GCM_SHA384
                              TLS_CHACHA20_POLY1305_SHA256
                              ECDHE-RSA-AES256-GCM-SHA384
                              ECDHE-RSA-CHACHA20-POLY1305
                              TLS_AES_128_GCM_SHA256
                              ECDHE-RSA-AES128-GCM-SHA256
<span style="font-weight:bold;"> Elliptic curves offered:     </span><span style="color:#008817;">prime256v1</span> <span style="color:#008817;">secp384r1</span> <span style="color:#008817;">secp521r1</span> <span style="color:#008817;">X25519</span> <span style="color:#008817;">X448</span>
<span style="font-weight:bold;"> TLS 1.2 sig_algs offered:    </span>RSA-PSS-RSAE+SHA256 RSA-PSS-RSAE+SHA384
                              RSA-PSS-RSAE+SHA512 RSA+SHA256 RSA+SHA384
                              RSA+SHA512 RSA+SHA224 <span style="color:#a86437;">RSA+SHA1</span>
<span style="font-weight:bold;"> TLS 1.3 sig_algs offered:    </span>RSA-PSS-RSAE+SHA256 RSA-PSS-RSAE+SHA384
                              RSA-PSS-RSAE+SHA512

<span style="text-decoration:underline;font-weight:bold;"> Testing server defaults (Server Hello) </span>

<span style="font-weight:bold;"> TLS extensions (standard)    </span>&quot;renegotiation info/#65281&quot; &quot;server name/#0&quot;
                              &quot;EC point formats/#11&quot; &quot;next protocol/#13172&quot;
                              &quot;supported versions/#43&quot; &quot;key share/#51&quot;
                              &quot;supported_groups/#10&quot; &quot;max fragment length/#1&quot;
                              &quot;application layer protocol negotiation/#16&quot;
                              &quot;extended master secret/#23&quot;
<span style="font-weight:bold;"> Session Ticket RFC 5077 hint </span>no -- no lifetime advertised
<span style="font-weight:bold;"> SSL Session ID support       </span>yes
<span style="font-weight:bold;"> Session Resumption           </span>Tickets no, ID: yes
<span style="font-weight:bold;"> TLS clock skew</span>               Random values, no fingerprinting possible
<span style="font-weight:bold;"> Certificate Compression      </span>none
<span style="font-weight:bold;"> Client Authentication        </span>none
<span style="font-weight:bold;"> Signature Algorithm          </span><span style="color:#008817;">SHA256 with RSA</span>
<span style="font-weight:bold;"> Server key size              </span>RSA 2048 bits (exponent is 65537)
<span style="font-weight:bold;"> Server key usage             </span>Digital Signature, Key Encipherment
<span style="font-weight:bold;"> Server extended key usage    </span>TLS Web Server Authentication, TLS Web Client Authentication
<span style="font-weight:bold;"> Serial                       </span>04F6E9C1BEA12F87BE392B61976BAD91734D (OK: length 18)
<span style="font-weight:bold;"> Fingerprints                 </span>SHA1 F032F4E922DA11347C864DF8A847B6FCFF4C6978
                              SHA256 95D87A07D4E411D82A8508CB2B1C33FB01BDB5311C0E2DA806A78F9AB8ACCD20
<span style="font-weight:bold;"> Common Name (CN)             </span><i>le-4456656.design.gitlab.com </i> (CN in response to request w/o SNI: <i>Kubernetes Ingress Controller Fake Certificate </i>)
<span style="font-weight:bold;"> subjectAltName (SAN)         </span><i>design.gitlab.com
                              gitlab-org-gitlab-services-design-gitlab-com.design.gitlab.com
                              e-4456656.design.gitlab.com </i>
<span style="font-weight:bold;"> Trust (hostname)             </span><span style="color:#008817;">Ok via SAN</span> (SNI mandatory)
<span style="font-weight:bold;"> Chain of trust</span>               <span style="color:#008817;">Ok   </span><span style="color:#cd00cd;"></span>
<span style="font-weight:bold;"> EV cert</span> (experimental)       no
<span style="font-weight:bold;"> Certificate Validity (UTC)   </span><span style="color:#008817;">60 &gt;= 30 days</span> (2023-06-10 18:42 --&gt; 2023-09-08 18:41)
<span style="font-weight:bold;"> ETS/&quot;eTLS&quot;</span>, visibility info  not present
<span style="font-weight:bold;"> Certificate Revocation List  </span>--
<span style="font-weight:bold;"> OCSP URI                     </span>http://r3.o.lencr.org
<span style="font-weight:bold;"> OCSP stapling                </span><span style="color:#a86437;">not offered</span>
<span style="font-weight:bold;"> OCSP must staple extension   </span>--
<span style="font-weight:bold;"> DNS CAA RR</span> (experimental)    <span style="color:#008817;">available</span> - please check for match with &quot;Issuer&quot; below
                              <i>iodef=mailto:security@gitlab.com,
                              issue=amazon.com, issue=amazonaws.com,
                              issue=amazontrust.com, issue=awstrust.com,
                              issue=comodoca.com, issue=digicert.com;,
                              issue=globalsign.com, issue=letsencrypt.org,
                              issue=pki.goog;, issue=sectigo.com,
                              issuewild=comodoca.com</i>
<span style="font-weight:bold;"> Certificate Transparency     </span><span style="color:#008817;">yes</span> (certificate extension)
<span style="font-weight:bold;"> Certificates provided</span>        2
<span style="font-weight:bold;"> Issuer                       </span><i>R3</i> (<i>Let&apos;s Encrypt</i> from <i>US</i>)
<span style="font-weight:bold;"> Intermediate cert validity   </span>#1: <span style="color:#008817;">ok &gt; 40 days</span> (2025-09-15 16:00). <i>R3</i> &lt;-- <i>ISRG Root X1</i>
<span style="font-weight:bold;"> Intermediate Bad OCSP</span> (exp.) <span style="color:#008817;">Ok</span>


<span style="text-decoration:underline;font-weight:bold;"> Testing HTTP header response @ &quot;/&quot; </span>

<span style="font-weight:bold;"> HTTP Status Code           </span>  200 OK
<span style="font-weight:bold;"> HTTP clock skew              </span>0 sec from localtime
<span style="font-weight:bold;"> Strict Transport Security    </span><span style="color:#008817;">182 days</span>=15724800 s<span style="color:#008817;">, includeSubDomains</span>
<span style="font-weight:bold;"> Public Key Pinning           </span>--
<span style="font-weight:bold;"> Server banner                </span>(no &quot;Server&quot; line in header, interesting!)
<span style="font-weight:bold;"> Application banner           </span>--
<span style="font-weight:bold;"> Cookie(s)                    </span>(none issued at &quot;/&quot;)
<span style="font-weight:bold;"> Security headers             </span><span style="color:#c05600;">--</span>
<span style="font-weight:bold;"> Reverse Proxy banner         </span>--


<span style="text-decoration:underline;font-weight:bold;"> Testing vulnerabilities </span>

<span style="font-weight:bold;"> Heartbleed</span> (CVE-2014-0160)                <span style="color:#008817;font-weight:bold;">not vulnerable (OK)</span>, no heartbeat extension
<span style="font-weight:bold;"> CCS</span> (CVE-2014-0224)                       <span style="color:#008817;font-weight:bold;">not vulnerable (OK)</span>
<span style="font-weight:bold;"> Ticketbleed</span> (CVE-2016-9244), experiment.  <span style="color:#008817;font-weight:bold;">not vulnerable (OK)</span>, no session ticket extension
<span style="font-weight:bold;"> ROBOT                                     </span><span style="color:#008817;font-weight:bold;">Server does not support any cipher suites that use RSA key transport</span>
<span style="font-weight:bold;"> Secure Renegotiation (RFC 5746)           </span><span style="color:#008817;font-weight:bold;">supported (OK)</span>
<span style="font-weight:bold;"> Secure Client-Initiated Renegotiation     </span><span style="color:#008817;">not vulnerable (OK)</span>
<span style="font-weight:bold;"> CRIME, TLS </span>(CVE-2012-4929)                <span style="color:#008817;">not vulnerable (OK)</span>
<span style="font-weight:bold;"> BREACH</span> (CVE-2013-3587)                    <span style="color:#008817;">no gzip/deflate/compress/br HTTP compression (OK) </span> - only supplied &quot;/&quot; tested
<span style="font-weight:bold;"> POODLE, SSL</span> (CVE-2014-3566)               <span style="color:#008817;font-weight:bold;">not vulnerable (OK)</span>, no SSLv3 support
<span style="font-weight:bold;"> TLS_FALLBACK_SCSV</span> (RFC 7507)              <span style="color:#008817;">No fallback possible (OK)</span>, no protocol below TLS 1.2 offered
<span style="font-weight:bold;"> SWEET32</span> (CVE-2016-2183, CVE-2016-6329)    <span style="color:#008817;font-weight:bold;">not vulnerable (OK)</span>
<span style="font-weight:bold;"> FREAK</span> (CVE-2015-0204)                     <span style="color:#008817;font-weight:bold;">not vulnerable (OK)</span>
<span style="font-weight:bold;"> DROWN</span> (CVE-2016-0800, CVE-2016-0703)      <span style="color:#008817;font-weight:bold;">not vulnerable on this host and port (OK)</span>
                                           make sure you don&apos;t use this certificate elsewhere with SSLv2 enabled services, see
                                           <a href="https://search.censys.io/search?resource=hosts&virtual_hosts=INCLUDE&q=95D87A07D4E411D82A8508CB2B1C33FB01BDB5311C0E2DA806A78F9AB8ACCD20" style="color:black;text-decoration:none;">https://search.censys.io/search?resource=hosts&virtual_hosts=INCLUDE&q=95D87A07D4E411D82A8508CB2B1C33FB01BDB5311C0E2DA806A78F9AB8ACCD20</a>
<span style="font-weight:bold;"> LOGJAM</span> (CVE-2015-4000), experimental      <span style="color:#008817;">not vulnerable (OK):</span> no DH EXPORT ciphers, no DH key detected with &lt;= TLS 1.2
<span style="font-weight:bold;"> BEAST</span> (CVE-2011-3389)                     <span style="color:#008817;">not vulnerable (OK)</span>, no SSL3 or TLS1
<span style="font-weight:bold;"> LUCKY13</span> (CVE-2013-0169), experimental     <span style="color:#008817;font-weight:bold;">not vulnerable (OK)</span>
<span style="font-weight:bold;"> Winshock</span> (CVE-2014-6321), experimental    <span style="color:#008817;font-weight:bold;">not vulnerable (OK)</span>
<span style="font-weight:bold;"> RC4</span> (CVE-2013-2566, CVE-2015-2808)        <span style="color:#008817;">no RC4 ciphers detected (OK)</span>


<span style="text-decoration:underline;font-weight:bold;"> Running client simulations </span><span style="text-decoration:underline;font-weight:bold;">(HTTP) </span><span style="text-decoration:underline;font-weight:bold;">via sockets </span>

 Browser                      Protocol  Cipher Suite Name (OpenSSL)       Forward Secrecy
------------------------------------------------------------------------------------------------
 Android 6.0                  TLSv1.2   ECDHE-RSA-AES128-GCM-SHA256       <span style="color:#008817;">256 bit ECDH (P-256)</span>
 Android 7.0 (native)         TLSv1.2   ECDHE-RSA-AES128-GCM-SHA256       <span style="color:#008817;">256 bit ECDH (P-256)</span>
 Android 8.1 (native)         TLSv1.2   ECDHE-RSA-AES128-GCM-SHA256       <span style="color:#008817;">253 bit ECDH (X25519)</span>
 Android 9.0 (native)         TLSv1.3   TLS_AES_256_GCM_SHA384            <span style="color:#008817;">253 bit ECDH (X25519)</span>
 Android 10.0 (native)        TLSv1.3   TLS_AES_256_GCM_SHA384            <span style="color:#008817;">253 bit ECDH (X25519)</span>
 Android 11 (native)          TLSv1.3   TLS_AES_256_GCM_SHA384            <span style="color:#008817;">253 bit ECDH (X25519)</span>
 Android 12 (native)          TLSv1.3   TLS_AES_256_GCM_SHA384            <span style="color:#008817;">253 bit ECDH (X25519)</span>
 Chrome 79 (Win 10)           TLSv1.3   TLS_AES_256_GCM_SHA384            <span style="color:#008817;">253 bit ECDH (X25519)</span>
 Chrome 101 (Win 10)          TLSv1.3   TLS_AES_256_GCM_SHA384            <span style="color:#008817;">253 bit ECDH (X25519)</span>
 Firefox 66 (Win 8.1/10)      TLSv1.3   TLS_AES_256_GCM_SHA384            <span style="color:#008817;">253 bit ECDH (X25519)</span>
 Firefox 100 (Win 10)         TLSv1.3   TLS_AES_256_GCM_SHA384            <span style="color:#008817;">253 bit ECDH (X25519)</span>
 IE 6 XP                      No connection
 IE 8 Win 7                   No connection
 IE 8 XP                      No connection
 IE 11 Win 7                  No connection
 IE 11 Win 8.1                No connection
 IE 11 Win Phone 8.1          No connection
 IE 11 Win 10                 TLSv1.2   ECDHE-RSA-AES128-GCM-SHA256       <span style="color:#008817;">256 bit ECDH (P-256)</span>
 Edge 15 Win 10               TLSv1.2   ECDHE-RSA-AES128-GCM-SHA256       <span style="color:#008817;">253 bit ECDH (X25519)</span>
 Edge 101 Win 10 21H2         TLSv1.3   TLS_AES_256_GCM_SHA384            <span style="color:#008817;">253 bit ECDH (X25519)</span>
 Safari 12.1 (iOS 12.2)       TLSv1.3   TLS_AES_256_GCM_SHA384            <span style="color:#008817;">253 bit ECDH (X25519)</span>
 Safari 13.0 (macOS 10.14.6)  TLSv1.3   TLS_AES_256_GCM_SHA384            <span style="color:#008817;">253 bit ECDH (X25519)</span>
 Safari 15.4 (macOS 12.3.1)   TLSv1.3   TLS_AES_256_GCM_SHA384            <span style="color:#008817;">253 bit ECDH (X25519)</span>
 Java 7u25                    No connection
 Java 8u161                   TLSv1.2   ECDHE-RSA-AES128-GCM-SHA256       <span style="color:#008817;">256 bit ECDH (P-256)</span>
 Java 11.0.2 (OpenJDK)        TLSv1.3   TLS_AES_256_GCM_SHA384            <span style="color:#008817;">256 bit ECDH (P-256)</span>
 Java 17.0.3 (OpenJDK)        TLSv1.3   TLS_AES_256_GCM_SHA384            <span style="color:#008817;">253 bit ECDH (X25519)</span>
 go 1.17.8                    TLSv1.3   TLS_AES_256_GCM_SHA384            <span style="color:#008817;">253 bit ECDH (X25519)</span>
 LibreSSL 2.8.3 (Apple)       TLSv1.2   ECDHE-RSA-AES128-GCM-SHA256       <span style="color:#008817;">253 bit ECDH (X25519)</span>
 OpenSSL 1.0.2e               TLSv1.2   ECDHE-RSA-AES128-GCM-SHA256       <span style="color:#008817;">256 bit ECDH (P-256)</span>
 OpenSSL 1.1.0l (Debian)      TLSv1.2   ECDHE-RSA-AES128-GCM-SHA256       <span style="color:#008817;">253 bit ECDH (X25519)</span>
 OpenSSL 1.1.1d (Debian)      TLSv1.3   TLS_AES_256_GCM_SHA384            <span style="color:#008817;">253 bit ECDH (X25519)</span>
 OpenSSL 3.0.3 (git)          TLSv1.3   TLS_AES_256_GCM_SHA384            <span style="color:#008817;">253 bit ECDH (X25519)</span>
 Apple Mail (16.0)            TLSv1.2   ECDHE-RSA-AES128-GCM-SHA256       <span style="color:#008817;">256 bit ECDH (P-256)</span>
 Thunderbird (91.9)           TLSv1.3   TLS_AES_256_GCM_SHA384            <span style="color:#008817;">253 bit ECDH (X25519)</span>


<span style="text-decoration:underline;font-weight:bold;"> Rating (experimental) </span>

<span style="font-weight:bold;"> Rating specs</span> (not complete)  SSL Labs&apos;s &apos;SSL Server Rating Guide&apos; (version 2009q from 2020-01-30)
<span style="font-weight:bold;"> Specification documentation  </span><a href="https://github.com/ssllabs/research/wiki/SSL-Server-Rating-Guide" style="color:black;text-decoration:none;">https://github.com/ssllabs/research/wiki/SSL-Server-Rating-Guide</a>
<span style="font-weight:bold;"> Protocol Support </span>(weighted)  100 (30)
<span style="font-weight:bold;"> Key Exchange </span>    (weighted)  90 (27)
<span style="font-weight:bold;"> Cipher Strength </span> (weighted)  90 (36)
<span style="font-weight:bold;"> Final Score                  </span>93
<span style="font-weight:bold;"> Overall Grade                </span><span style="color:#008817;font-weight:bold;">A+</span>

<span style="color:white;background-color:black;"> Done 2023-07-10 07:04:00 [ 147s] --&gt;&gt; 35.231.107.224:443 (design.gitlab.com) &lt;&lt;--</span>


</pre>
</body>
</html>
